| Home | Libraries | People | FAQ | More

##### clear

###### Description

Returns the result type of `clear`, given the input sequence type.

###### Synopsis

    template<
        typename Sequence
        >
    struct clear
    {
        typedef unspecified type;
    };

Table 1.82. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Sequence` | Any type | Operation's argument

###### Expression Semantics

    result_of::clear<Sequence>::type

Return type: A model of Forward Sequence.

Semantics: Returns an empty sequence.

###### Complexity

Constant.

###### Header

    #include <boost/fusion/algorithm/transformation/clear.hpp>
    #include <boost/fusion/include/clear.hpp>